Bug 524483 - setroubleshoot: SELinux is preventing /usr/lib64/vte/gnome-pty-helper "search" access on /var/log/wtmpx.
Summary: setroubleshoot: SELinux is preventing /usr/lib64/vte/gnome-pty-helper "search...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:fb20c9f59a2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-20 18:26 UTC by Eric Paris
Modified: 2009-09-21 12:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-21 12:52:31 UTC


Attachments (Terms of Use)

Description Eric Paris 2009-09-20 18:26:58 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing /usr/lib64/vte/gnome-pty-helper "search" access on
/var/log/wtmpx.

Detailed Description:

SELinux denied access requested by gnome-pty-helpe. It is not expected that this
access is required by gnome-pty-helpe and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                staff_u:staff_r:sandbox_x_client_t:s0:c113,c254
Target Context                system_u:object_r:var_log_t:s0
Target Objects                /var/log/wtmpx [ dir ]
Source                        gnome-pty-helpe
Source Path                   /usr/lib64/vte/gnome-pty-helper
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           vte-0.21.5-1.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-4.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31-33.fc12.x86_64 #1 SMP Thu Sep 17 15:40:43
                              EDT 2009 x86_64 x86_64
Alert Count                   2
First Seen                    Sun 20 Sep 2009 02:22:33 PM EDT
Last Seen                     Sun 20 Sep 2009 02:22:38 PM EDT
Local ID                      5e606597-9458-4c12-ad17-48c97b84e93b
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1253470958.160:44): avc:  denied  { search } for  pid=4796 comm="gnome-pty-helpe" name="log" dev=dm-1 ino=2043 scontext=staff_u:staff_r:sandbox_x_client_t:s0:c113,c254 tcontext=system_u:object_r:var_log_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1253470958.160:44): arch=c000003e syscall=21 success=no exit=-13 a0=7f644e7fd13c a1=0 a2=0 a3=7fff10c974e0 items=1 ppid=4787 pid=4796 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=22 sgid=22 fsgid=22 tty=(none) ses=1 comm="gnome-pty-helpe" exe="/usr/lib64/vte/gnome-pty-helper" subj=staff_u:staff_r:sandbox_x_client_t:s0:c113,c254 key=(null)

node=(removed) type=CWD msg=audit(1253470958.160:44): cwd="/"

node=(removed) type=PATH msg=audit(1253470958.160:44): item=0 name="/var/log/wtmpx"


audit2allow suggests:

#============= sandbox_x_client_t ==============
allow sandbox_x_client_t var_log_t:dir search;

Comment 1 Daniel Walsh 2009-09-21 12:52:31 UTC
Fixed in selinux-policy-3.6.32-8.fc12.noarch


Note You need to log in before you can comment on or make changes to this bug.